com.mapinfo.midev.io

## Class CharSet

- java.lang.Object
- - com.mapinfo.midev.io.CharSet

    public final class CharSet
    extends Object

A class that holds various character set metadata as well as utility methods.

### Field Summary

Fields
`static CharSet` `CP437`
`static CharSet` `CP850`
`static CharSet` `CP852`
`static CharSet` `CP855`
`static CharSet` `CP857`
`static CharSet` `CP860`
`static CharSet` `CP861`
`static CharSet` `CP863`
`static CharSet` `CP864`
`static CharSet` `CP865`
`static CharSet` `CP869`
`static CharSet` `ISO8859_1`
`static CharSet` `ISO8859_2`
`static CharSet` `ISO8859_3`
`static CharSet` `ISO8859_4`
`static CharSet` `ISO8859_5`
`static CharSet` `ISO8859_6`
`static CharSet` `ISO8859_7`
`static CharSet` `ISO8859_8`
`static CharSet` `ISO8859_9`
`static CharSet` `LICS`
`static CharSet` `LMBCS`
`static CharSet` `LMBCS1`
`static CharSet` `LMBCS2`
`static CharSet` `MARABIC`
`static CharSet` `MCENTEURO`
`static CharSet` `MCROATIAN`
`static CharSet` `MCYRILLIC`
`static CharSet` `MGREEK`
`static CharSet` `MHEBREW`
`static CharSet` `MICELANDIC`
`static CharSet` `MJAPANESE`
`static CharSet` `MKOREAN`
`static CharSet` `MROMAN`
`static CharSet` `MSCHINESE`
`static CharSet` `MTCHINESE`
`static CharSet` `MTHAI`
`static CharSet` `MTURKISH`
`static CharSet` `NEUTRAL`
`static CharSet` `UJAPANESE`
`static CharSet` `UKOREAN`
`static CharSet` `USCHINESE`
`static CharSet` `UTCHINESE`
`static CharSet` `UTF_16`
`static CharSet` `UTF_8`
`static CharSet` `WARABIC`
`static CharSet` `WBALTICRIM`
`static CharSet` `WCYRILLIC`
`static CharSet` `WGREEK`
`static CharSet` `WHEBREW`
`static CharSet` `windowsLatin1`
`static CharSet` `WJAPANESE`
`static CharSet` `WKOREAN`
`static CharSet` `WLATIN1`
`static CharSet` `WLATIN2`
`static CharSet` `WSCHINESE`
`static CharSet` `WTCHINESE`
`static CharSet` `WTHAI`
`static CharSet` `WTURKISH`
`static CharSet` `WVIETNAMESE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static CharSet` `getCharSet(int id)`
`static CharSet` `getCharSet(String name)` Returns a CharSet given a MapInfo character set name or null if one is not found.
`int` `getCode()` Returns the MapInfo character set code number for this CharSet.
`String` `getJavaIOEncoding()` Returns the Java character set encoding for this CharSet, or "" if this CharSet has no matching encoding.
`String` `getJavaNIOEncoding()` Returns the Java character set encoding for this CharSet for use with Java new I/O package introduced in JDK 1.4 or "" if this CharSet has no matching encoding.
`String` `getName()` Returns the MapInfo character set name for this CharSet, or "" if this CharSet has no name.
`static CharSet` `valueOfNIOName(String nioName)` Returns a `CharSet` for the specified NIO character set name..

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NEUTRAL

    public static final CharSet NEUTRAL

#### ISO8859_1

    public static final CharSet ISO8859_1

#### ISO8859_2

    public static final CharSet ISO8859_2

#### ISO8859_3

    public static final CharSet ISO8859_3

#### ISO8859_4

    public static final CharSet ISO8859_4

#### ISO8859_5

    public static final CharSet ISO8859_5

#### ISO8859_6

    public static final CharSet ISO8859_6

#### ISO8859_7

    public static final CharSet ISO8859_7

#### ISO8859_8

    public static final CharSet ISO8859_8

#### ISO8859_9

    public static final CharSet ISO8859_9

#### WLATIN1

    public static final CharSet WLATIN1

#### WLATIN2

    public static final CharSet WLATIN2

#### WARABIC

    public static final CharSet WARABIC

#### WCYRILLIC

    public static final CharSet WCYRILLIC

#### WGREEK

    public static final CharSet WGREEK

#### WHEBREW

    public static final CharSet WHEBREW

#### WTURKISH

    public static final CharSet WTURKISH

#### WTCHINESE

    public static final CharSet WTCHINESE

#### WSCHINESE

    public static final CharSet WSCHINESE

#### WJAPANESE

    public static final CharSet WJAPANESE

#### WKOREAN

    public static final CharSet WKOREAN

#### MROMAN

    public static final CharSet MROMAN

#### MARABIC

    public static final CharSet MARABIC

#### MGREEK

    public static final CharSet MGREEK

#### MHEBREW

    public static final CharSet MHEBREW

#### MCENTEURO

    public static final CharSet MCENTEURO

#### MCROATIAN

    public static final CharSet MCROATIAN

#### MCYRILLIC

    public static final CharSet MCYRILLIC

#### MICELANDIC

    public static final CharSet MICELANDIC

#### MTHAI

    public static final CharSet MTHAI

#### MTURKISH

    public static final CharSet MTURKISH

#### MTCHINESE

    public static final CharSet MTCHINESE

#### MJAPANESE

    public static final CharSet MJAPANESE

#### MKOREAN

    public static final CharSet MKOREAN

#### CP437

    public static final CharSet CP437

#### CP850

    public static final CharSet CP850

#### CP852

    public static final CharSet CP852

#### CP857

    public static final CharSet CP857

#### CP860

    public static final CharSet CP860

#### CP861

    public static final CharSet CP861

#### CP863

    public static final CharSet CP863

#### CP865

    public static final CharSet CP865

#### CP855

    public static final CharSet CP855

#### CP864

    public static final CharSet CP864

#### CP869

    public static final CharSet CP869

#### LICS

    public static final CharSet LICS

#### LMBCS

    public static final CharSet LMBCS

#### LMBCS1

    public static final CharSet LMBCS1

#### LMBCS2

    public static final CharSet LMBCS2

#### MSCHINESE

    public static final CharSet MSCHINESE

#### UTCHINESE

    public static final CharSet UTCHINESE

#### USCHINESE

    public static final CharSet USCHINESE

#### UJAPANESE

    public static final CharSet UJAPANESE

#### UKOREAN

    public static final CharSet UKOREAN

#### WTHAI

    public static final CharSet WTHAI

#### WBALTICRIM

    public static final CharSet WBALTICRIM

#### WVIETNAMESE

    public static final CharSet WVIETNAMESE

#### UTF_8

    public static final CharSet UTF_8

#### UTF_16

    public static final CharSet UTF_16

#### windowsLatin1

    public static final CharSet windowsLatin1

### Method Detail

#### getCharSet

    public static CharSet getCharSet(String name)

Returns a CharSet given a MapInfo character set name or null if one is not found.

#### getCharSet

    public static CharSet getCharSet(int id)

#### valueOfNIOName

    public static CharSet valueOfNIOName(String nioName)

Returns a `CharSet` for the specified NIO character set name..

Parameters:
  `nioName` - the NIO name of the character set.
Returns:
  a `CharSet` for the specified NIO character set name..

#### getCode

    public int getCode()

Returns the MapInfo character set code number for this CharSet.

#### getName

    public String getName()

Returns the MapInfo character set name for this CharSet, or "" if this CharSet has no name.

#### getJavaIOEncoding

    public String getJavaIOEncoding()

Returns the Java character set encoding for this CharSet, or "" if this CharSet has no matching encoding. Note that the JDK is not guaranteed to support any given encoding, so you should be prepared to catch UnsupportedEncodingException when using these encodings.

Returns:
  The Java I/O character encoding or "" if there is no matching encoding.

#### getJavaNIOEncoding

    public String getJavaNIOEncoding()

Returns the Java character set encoding for this CharSet for use with Java new I/O package introduced in JDK 1.4 or "" if this CharSet has no matching encoding. Note that the JDK is not guaranteed to support any given encoding, as such you should be prepared to catch UnsupportedEncodingException when using these encodings.

Returns:
  The Java new I/O character encoding or "" if there is no matching encoding.